CiN Event Kalender
===

Einfaches verwalten von Artikeln die ein Event darstellen.


Über die Plugineinstellungen können den Events Termine mit jeweils eigenem Ticketkontingent hinzugefügt werden.

Dem Shop wird eine **Events** Seite mit einer Übersicht der Events und einem Kalender hinzugefügt. Diese kann über *Eigene Inhalte -> Seiten* verwaltet werden.

Sollen die Events oder der Kalender auf anderen Seiten angezeigt werden, kann dies über Portlets realisiert werden.

## Einrichten eines Events

In der Wawi wird lediglich der Artikel angelegt. Optional können Variationen wie z.B. Alter und/oder Platzklassifizierungen hinzugefügt werden.
Um einen Artikel als Event zu deklarieren benötigt er das Funktionsattribut **cin_event**.

Für die richtige zuweisung von Terminen wird die Variation **cin_event_data** als Freitext benötigt. Hier kommt es darauf an ob es ein Artikel mit oder ohne sonstiger Variation ist.
- *Artikel ohne weiterer Variation:* Der Artikel selbst bekommt die genannte variation
- *Artikel mit Variationen (z.B. Alter):* Hier brauchen die Kindartikel die genannte Variation

## Beispiele

In allen Beispielen bekommt der Artikel das Funktionsattribut cin_event.

**Einfaches Event:** Ohne Variationen wie Alter oder sonstige abweichende Preisklassen. Ohne Sitzplatzmatrix.

- Der Artikel braucht nur die Freitext Variation cin_event_data
- In den Plugineinstellungen Termie mit entsprechendem Kontingent anlegen. 

**Artikel mit mehreren Variation anlegen:** Event mit Sitplatzordnung ála Cinema und Altersunterschiede. 

- Dem Artikel zusätzlich das Funktionsattribut *warenkorbmatrix = Wahr* zuweisen
- 2 beliebige Variationen mit Werten anlegen. Im Beispiel *Wer* mit Erwachsener, Kind und *Wo* mit Parkett, Loge
- Den erstellten Kindartikeln die Variation *cin_event_data* als Freitext anlegen
- In den Plugineinstellungen Veranstaltungstermine anlegen. Zu jedem Termin lässt sich das Kontingent sowie eine Sitzplatzmatrix angeben
- Der Sitzplatzmatrix Variationen zuordnen

## Erstellen einer Matrix

Die Matrix kann für Sitzplätze, Stellplätze oder sonstige reservierbare Plätze genutzt werden.

Die Matrix wird im Format SVG benötigt. Die Plätze selbst können dabei alle möglichen Formen besitzen. Lediglich brauchen die einzelnen Elemente die ein reservierbaren Platz darstellen die Klasse *place* und ein Data Attrbut mit der entsprechenden Platzkennzeichnung (*data-place="1"*).

Gibt es noch zusätzliche Preisklassen bei den Plätzen, wird zusätzlich das Data Attribut *data-place-var* mit der entsprechenden Gruppe (z.B. "loge") benötigt. Diese Gruppierung kann dann in den Einstellungen einer Variation zugeordent werden.
