<?php

declare(strict_types=1);

use Cin\Events5\service\EventMatrixService;

require \dirname(__DIR__, 1).'/src/warmup.php';

$ml = EventMatrixService::getMatrixList();

if ($ml) {
  array_walk($ml, static function (&$item, $key): void {
    $item['svg'] = file_get_contents(\dirname(__DIR__, 3).'/mediafiles/cin_events_5/matrix/'.$item['filename']);
  });
}

$smarty
// ->assign('eventList', $eventArticle)
// ->assign('no_image', EventService::EVENT_NO_IMAGE)
// ->assign('image_path', EventService::EVENT_USER_IMAGE_PATH)
// ->assign('root_path', PFAD_ROOT)
  ->assign('matrixlist', $ml)
  ->assign('matrix_tab_id', $P->getSettingsTabID('po_eventmatrix'))
  ->display(__DIR__.'/template/matrix/template.tpl');
