<?php

declare(strict_types=1);

// 140 - HOOK_SMARTY_OUTPUTFILTER

use Cin\Events5\service\EventService;
use JTL\Shop;

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

$_plugin = $P->getJTlPlugin();

$tVars = $smarty->getTemplateVars();

// extend global cin config data
pq('head')->append(sprintf(include \dirname(__DIR__, 2).'/src/jsconfig.php', $_plugin->getPluginID()));
// overwrite css selectors
if (file_exists(\dirname(__DIR__, 2).'/template.json')) {
  pq('footer')->append('<script type="text/javascript">cin.'.$_plugin->getPluginID().'.frontend.selector = '.file_get_contents(\dirname(__DIR__, 2).'/template.json').'</script>');
}

EventService::handleUserId();
// jdump([EventService::GUIDv4(), $_SESSION]);
switch (Shop::getPageType()) {
  case PAGE_ARTIKEL:

    $artikel = $tVars['Artikel'];
    if (isset($artikel->FunktionsAttribute['cin_event']) || isset($artikel->VaterFunktionsAttribute['cin_event'])) {
      if (isset($artikel->VaterFunktionsAttribute['cin_event'])) {
        // TODO use remove instead of d-none ? check article with/out variation and place matrix
        pq('#add-to-cart .row.basket-form-inline')->addClass('d-none');
      }

      pq('button[type=submit][name=inWarenkorb]')->attr('disabled', 'disabled');

      pq('#add-to-cart')->addClass('d-none');

      pq('#buy_form')
        ->attr('data-xhrurl', $_plugin->getPaths()->getFrontendURL().'ajax.php')
        ->prepend('<input type="hidden" id="cin_event_cid" class="empty" name="cin_event_cid" value="">');

      $toRM = pq("dt:contains('cin_event_data')");
      if ($toRM) {
        $toRM->next()->remove();
        $toRM->remove();
      }

      pq('#product-offer')->after($smarty->fetch(\dirname(__DIR__, 1).'/template/product_event_slider.tpl'));

      if (pq('.matrix-classic-wrapper')->elements) {
        pq('.matrix-classic-wrapper')->addClass('row');
        pq('.matrix-classic-wrapper .table-responsive')->addClass('col-8');
        pq('.matrix-classic-wrapper .table-responsive')->after('<div id="position-matrix" class="col-4" data-path="/mediafiles/cin_events_5/matrix/"></div>');
        pq('.row.product-matrix-submit')->addClass('col-12');
        pq('.product-matrix-title')->text('')->append('<span class="custom-selection"></span> <span class="change-time"><i class="fas fa-edit"></i></span>');
      } else {
        pq('#add-to-cart')->prepend('
          <div class="row matrix-row d-none">
            <div class="col-12"><span class="custom-selection"></span> <span class="change-time"><i class="fas fa-edit"></i></span></div>
            <div id="position-matrix" class="col" data-path="/mediafiles/cin_events_5/matrix/"></div>
          </div>');
      }

      if (isset($_GET['booking'])) {
        pq('#eventCarousel')->addClass('d-none')->attr('data-booking', json_decode(base64_decode($_GET['booking'], true))->id);
      } else {
        pq('.product-matrix, .row.variations')->addClass('d-none');
      }
    }

    break;
}

// 140 - HOOK_SMARTY_OUTPUTFILTER
