<?php

declare(strict_types=1);

// 228 - HOOK_BESTELLABSCHLUSS_INC_WARENKORBINDB

use Cin\Events5\Plugin;
use Cin\Events5\service\EventCartService;
use JTL\Cart\Cart;

require \dirname(__DIR__, 2).'/src/warmup.php';

/** @var Licence $L */
if ( ! $L->canRun()) {
  return;
}

/** @var Plugin $P */
/** @var array $args_arr */
/** @var JTL\Cart\CartItem $cartItem */
/** @var Cart $bestellung */
$cart    = $args_arr['oWarenkorb'];
$_plugin = $P->getJTlPlugin();
$langs   = $_plugin->getLocalization()->getLangVarsCompat();

foreach ($cart->PositionenArr as $cartItem) {
  $j = EventCartService::getEventDataObject($cartItem);

  if ($j) {
    EventCartService::updateReserved($j->cid, $j->place, 'sold', 1);
    EventCartService::updateReserved($j->cid, $j->place, 'expired_at', date('Y-m-d H:i:s', strtotime('+6 month'))); // TODO
  }
}
// 228 - HOOK_BESTELLABSCHLUSS_INC_WARENKORBINDB
