<div class="panel panel-default event-panel">
  <div class="progress-container">
    <div class="panel-progress bs-progress d-none">
      <div class="line"></div>
      <div class="subline inc"></div>
      <div class="subline dec"></div>
    </div>
  </div>
  <div style="padding:10px;">
    <div class="tree col-xs-4" data-xhrurl="{$assetURL}ajax.php">
      <h4>{__('eventlist')}</h4>
      <div id="events-form" class="">
        {if $cindev}<div class="btn btn-primary" id="testbutton">TEST</div>{/if}
        <div id="accordion-events" class="accordion">
          {foreach from=$eventList item=eventObject key=fatherID}
            {assign var=eventImage value={($eventObject['image'] == null || $eventObject['image']|strlen == 0) ? $no_image : $eventObject['image']}}
            {assign var=checkablePath value="{$root_path}{$eventObject['image']}"}
            <div class="accordion-item event-group" data-father="{$fatherID}">
              <h2 id="heading_{$fatherID}" class="accordion-header" style="padding: 0rem;">
                <button class="btn btn-secondary btn-block d-flex justify-content-between" type="button"
                  data-toggle="collapse" data-target="#collapse_{$fatherID}" aria-expanded="false"
                  aria-controls="collapse_{$fatherID}">
                  <span class="accordion-item-title">{$eventObject['Artikel']}</span>
                  <div class="accordion-item-actions">
                    <span class="fal fa-plus-circle action-button-add" data-day="{$fatherID}"></span>
                    <form class="input-modal modal-time">
                      <p class="useDate"></p>
                      <input type="time" name="addTimeBegin" />
                      <input type="time" name="addTimeEnd" />
                      <input type="hidden" name="forDate" />
                      <input type="hidden" name="action" />
                      <input type="hidden" name="config" />
                      <input type="submit" class="btn btn-primary btn-submit" value="Speichern" />
                      <!--                    <div class="btn btn-primary btn-submit">Speichern</div>-->
                      <i class="closer fas fa-times-circle"></i>
                    </form>
                    <form class="input-modal modal-date">
                      <input type="date" name="addDate" />
                      <input type="hidden" name="action" />
                      <input type="hidden" name="forDate" />
                      <input type="submit" class="btn btn-primary btn-submit" value="Speichern" />
                      {* <div class="btn btn-primary btn-submit">Speichern</div> *}
                      <i class="closer fas fa-times-circle"></i>
                    </form>
                  </div>
                </button>
              </h2>
              <div id="collapse_{$fatherID}" class="accordion-collapse collapse accordion-events"
                aria-labelledby="heading_{$fatherID}" data-parent="#accordion-events">
                <div class="accordion-body accordion-day-{$fatherID}" style="padding: 0 1rem 0.7rem;">
                  <div class="container-fluid event-image-container">
                    <div class="row">
                      <div class="col-10">

                        <div>
                          Übersicht
                        </div>

                        <div id="picker-{$fatherID}" class="calendar-picker"></div>

                        <div class="row eventdates">
                          <div class="col-4">
                            <div class="dategrid"></div>
                          </div>
                          <div class="col-4">
                            <div class="timegrid"></div>
                          </div>
                          <div class="col-4">
                            <fieldset disabled>
                              <div class="eventconfig">
                                <div class="form-group">
                                  <label for="contingent_{$fatherID}">{__(contingent)}</label>
                                  <input type="number" class="form-control" id="contingent_{$fatherID}"
                                    data-short-id="contingent" aria-describedby="contingentlHelp_{$fatherID}"
                                    placeholder="">
                                  <small id="contingentHelp_{$fatherID}"
                                    class="form-text text-muted">{__(contingentHelp)}</small>
                                </div>
                                <div class="form-group">
                                  <label for="matrix-select_{$fatherID}">{__(placematrix)}</label>
                                  <select id="matrix-select_{$fatherID}" data-short-id="matrix_id"
                                    class="form-control matrix-select">
                                    <option data-invitation="1" value="" selected>{__(choose)}</option>
                                  </select>
                                  <div class="preview" data-path="/mediafiles/cin_events_5/matrix/"></div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                        </div>

                      </div>

                      <div class="faketicket col-2 row">
                        <div class="col-picture col-4" style="padding: unset;">
                          <div class="copy-paste-container" data-handle-id="{$fatherID}"
                            data-file="{$eventObject['image']}" style="background-image: url({$eventImage});">
                            <a href="" title="{__(image_alt_eventimage)}">
                              {if $eventObject['image'] != null}
                                {*<img src="{$eventImage}" alt="{__(image_alt_eventimage)}" class="img-responsive preview">*}
                              {/if}
                            </a>
                            <div id="cin_dropper_{$fatherID}"
                              class="cin_dropper{if $eventObject['image'] && $checkablePath|file_exists} drop-image{/if}">
                              <div class="uploader">
                                <span class="droptarget" id="cin_droptraget_{$fatherID}">
                                  <svg viewBox="0 0 1024 1024" width="50px" height="50px" fill="#B1B1B1"
                                    aria-hidden="true">
                                    <path
                                      d="M885.2 446.3l-.2-.8-112.2-285.1c-5-16.1-19.9-27.2-36.8-27.2H281.2c-17 0-32.1 11.3-36.9 27.6L139.4 443l-.3.7-.2.8c-1.3 4.9-1.7 9.9-1 14.8-.1 1.6-.2 3.2-.2 4.8V830a60.9 60.9 0 0 0 60.8 60.8h627.2c33.5 0 60.8-27.3 60.9-60.8V464.1c0-1.3 0-2.6-.1-3.7.4-4.9 0-9.6-1.3-14.1zm-295.8-43l-.3 15.7c-.8 44.9-31.8 75.1-77.1 75.1-22.1 0-41.1-7.1-54.8-20.6S436 441.2 435.6 419l-.3-15.7H229.5L309 210h399.2l81.7 193.3H589.4zm-375 76.8h157.3c24.3 57.1 76 90.8 140.4 90.8 33.7 0 65-9.4 90.3-27.2 22.2-15.6 39.5-37.4 50.7-63.6h156.5V814H214.4V480.1z">
                                    </path>
                                    <i class="fa fa-check d-none"></i>
                                  </svg>
                                  <span class="explanation">Klicke oder ziehe<span
                                      class="long-text{if $eventObject['image'] && $checkablePath|file_exists}} d-none{/if}">
                                      eine Datei in diesen Bereich</span></span>
                                </span>
                                <input type="file" name="{__(image_alt_eventimage)}" id="documentupload_{$fatherID}"
                                  class="hiddenfile dropper_input"
                                  data-xhrurl="{$assetURL}ajax.php{*?kPlugin={$kplugin}*}" required>
                              </div>
                              <button
                                class="del dropbild{if $eventObject['image'] == null || !$checkablePath|file_exists} d-none{/if}"
                                data-xhrurl="{$assetURL}ajax.php{* ?kPlugin={$kplugin} *}" title="Bild l&ouml;schen"><i
                                  class="far fa-trash-alt"></i></button>
                            </div>
                          </div>
                        </div>
                        <div class="col col-content">
                          <div class="productbox-title">
                            <a>{$eventObject['Artikel']}</a>
                          </div>
                          <div class="row ">
                            <div class="col productbox-options">
                              <div class="item-delivery-status delivery-status">
                                <div class="signal_image status-1">Variation 1</div>
                                <div class="estimated_delivery">Variation 2</div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>

                    </div>
                  </div>
                </div>
              </div>
            </div>
          {/foreach}
        </div>

      </div>
    </div>
  </div>
  <script src="{$assetURL}js/adminEventCalendar.js" charset="utf-8"></script>
</div>
