<?php

declare(strict_types=1);
// 214 - HOOK_SHOP_SET_PAGE_TYPE

use Cin\Events5\service\EventCartService;
use JTL\Cart\CartItem;
use JTL\Shop;

require \dirname(__DIR__, 2).'/src/warmup.php';

/** @var Licence $L */
if ( ! $L->canRun()) {
  return;
}

switch (Shop::getPageType()) {
  case PAGE_WARENKORB: // 3

    if ( ! isset($_SESSION['cin_events_5']->user)) {
      return;
    }
    /** @var CartItem $position */
    $positionen = &$_SESSION['Warenkorb']->PositionenArr;

    EventCartService::cleanReservations();

    foreach ($positionen as $key => $position) {
      $j = EventCartService::getEventDataObject($position);
      if ($j && ! EventCartService::stillAvailable((int) $j->cid, $j->place, $_SESSION['cin_events_5']->user)) {
        unset($positionen[$key]);
      }
    }

    $positionen = array_merge($positionen);

    break;
}

// 214 - HOOK_SHOP_SET_PAGE_TYPE
